#ifndef CMNLOOPS_H
#define CMNLOOPS_H

#include <inttypes.h>
#include "rdtscp.h"

#define SIZE    (1L << 16)
#define GCC_ALN(var, alignment) __builtin_assume_aligned(var, alignment)



static inline void measureFunction(void (*func)(double *, double *), double * a, double * b) {

    uint64_t t0, t1;
    t0 = rdtscp();
    func(a,b);
    t1 = rdtscp();

    printf("%" PRIu64 "\n", t1-t0);
}

#endif
