#include <stdlib.h>
#include <stdio.h>


#include "../cmnLoops.h"


void simpleLoop(double *a, double *b)
{
    for (int i = 0; i < SIZE; i++) {
        a[i] += b[i];
    }
}



int main(void)
{
    double * a = (double *) aligned_alloc(32, sizeof(double) * SIZE);
    double * b = (double *) aligned_alloc(32, sizeof(double) * SIZE);

    for (size_t i = 0; i < SIZE; i++) {
        a[i] = 1.0;
        b[i] = 1.0;
    }

    measureFunction(&simpleLoop, a, b);


    double d = 0;
    for (size_t i = 0; i < SIZE; i++) {
        d += a[i];
    }

    free(a);
    free(b);
    return (int) d;
}
